FAQ
Hello,



I was trying to compile the latest PHP6 dev release and I keep getting the
following error:



gcc: /root/php6.0-200803301630/Zend/zend_ini_parser.c: No such file or
directory

gcc: no input files

make: *** [Zend/zend_ini_parser.lo] Error 1



My last PHP6 compile to successfully compile was php6.0-200803270530. I
first noticed this problem in php6.0-200803300830.



Not sure if I'm missing something necessary for make to create the file, but
just in case thought I'd post here..



My system is a Xeon 32-bit using CentOS 5.0.



----

Graham Frank - Neoservers, LLC

Founder and Owner

Accredited Member of the Better Business Bureau

Ph: (608) 359-1593

Search Discussions

  • Cristian Rodriguez at Mar 30, 2008 at 9:49 pm

    2008/3/30, Graham Frank <gfrank@neoservers.com>:
    Hello,



    I was trying to compile the latest PHP6 dev release and I keep getting the
    following error:



    gcc: /root/php6.0-200803301630/Zend/zend_ini_parser.c: No such file or
    directory

    gcc: no input files

    make: *** [Zend/zend_ini_parser.lo] Error 1

    you need to install re2c and run ./buildconf --force


    --
    "If debugging is the process of removing bugs, then programming must
    be the process of putting them in." – Edsger Dijkstra

    http://www.cristianrodriguez.net
  • Antony Dovgal at Mar 30, 2008 at 11:14 pm

    On 31.03.2008 01:49, Cristian Rodriguez wrote:
    you need to install re2c and run ./buildconf --force
    He's using snapshots, so that should not be required.
    I'd say somebody forgot to upgrade re2c on the snaps machine.

    --
    Wbr,
    Antony Dovgal
  • Edward Z. Yang at Mar 30, 2008 at 11:18 pm

    Antony Dovgal wrote:
    He's using snapshots, so that should not be required.
    I'd say somebody forgot to upgrade re2c on the snaps machine.
    Btw, when is 0.13.4, the currently "required" version, going to be released?

    --
    Edward Z. Yang GnuPG: 0x869C48DA
    HTML Purifier <http://htmlpurifier.org> Anti-XSS Filter
    [[ 3FA8 E9A9 7385 B691 A6FC B3CB A933 BE7D 869C 48DA ]]
  • Graham Frank at Mar 30, 2008 at 11:21 pm
    My reply to Cristian went to his personal email. Let me copy it here:

    Hey Cristian,

    I installed the latest re2c (http://sourceforge.net/project/showfiles.php?group_id=96864). PHP6-dev claims to want version 0.13.4 or later, but the latest is 0.13.3 (also the latest in their svn and changelog). Furthermore, the other two servers I have installed PHP6-dev on don't have re2c at all, and they compiled without issue.

    Sorry if this is all issues on my end. Still failing to compile even after installing the latest available re2c.

    ----
    Graham Frank – Neoservers, LLC
    Founder and Owner
    Accredited Member of the Better Business Bureau
    Ph: (608) 359-1593


    -----Original Message-----
    From: Edward Z. Yang
    Sent: Sunday, March 30, 2008 6:19 PM
    To: internals@lists.php.net
    Subject: Re: [PHP-DEV] zend_ini_parser.c fails to create in latest PHP6

    Antony Dovgal wrote:
    He's using snapshots, so that should not be required.
    I'd say somebody forgot to upgrade re2c on the snaps machine.
    Btw, when is 0.13.4, the currently "required" version, going to be released?

    --
    Edward Z. Yang GnuPG: 0x869C48DA
    HTML Purifier <http://htmlpurifier.org> Anti-XSS Filter
    [[ 3FA8 E9A9 7385 B691 A6FC B3CB A933 BE7D 869C 48DA ]]

    --
    PHP Internals - PHP Runtime Development Mailing List
    To unsubscribe, visit: http://www.php.net/unsub.php
  • Steph Fox at Mar 31, 2008 at 12:19 am
    Hi Marcus,
    Antony Dovgal wrote:
    He's using snapshots, so that should not be required.
    I'd say somebody forgot to upgrade re2c on the snaps machine.
    Btw, when is 0.13.4, the currently "required" version, going to be
    released?
    Edward has a good point here. You updated this as a Windows requirement too
    :) thankfully it's only a warning and not a fatal error!

    - Steph
  • Derick Rethans at Mar 31, 2008 at 7:22 am

    On Mon, 31 Mar 2008, Antony Dovgal wrote:
    On 31.03.2008 01:49, Cristian Rodriguez wrote:
    you need to install re2c and run ./buildconf --force
    He's using snapshots, so that should not be required.
    I'd say somebody forgot to upgrade re2c on the snaps machine.
    Sure, that has not been done yet. Actually, it was not even installed. I
    installed 0.13.3 now.

    regards,
    Derick

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupphp-internals @
categoriesphp
postedMar 30, '08 at 7:04p
activeMar 31, '08 at 7:22a
posts7
users6
websitephp.net

People

Translate

site design / logo © 2022 Grokbase